ko
고객고객 수정

고객 수정

고객 레코드의 변경 가능한 필드를 교체합니다 — 양방향 CRM 동기화에 적합합니다(자체 시스템 오브 레코드에서 변경 사항을 푸시). 서비스 지역을 해제하려면 service_area_id=""를 전달하십시오. 주소 필드(latitude/longitude 포함)는 중첩된 `address` 객체 아래에 위치합니다.

인수

idstringpath필수
고객 ID (UUID)
addressobjectbody선택
우편 주소 및 좌표입니다.
citystringbody선택
City / locality. Max 100 chars.
countrystringbody선택
Country (free-form or ISO code). Max 100 chars.
formattedstringbody선택
Human-readable single-line address; when set it wins over the discrete parts for display. Max 500 chars.
latitudenumberbody선택
Geographic latitude in decimal degrees (-90..90). Omit if unknown.
linestringbody선택
Street address, line 1 (e.g. "123 Main St"). Max 255 chars.
line2stringbody선택
Street address, line 2 (apartment, suite, unit). Max 255 chars.
longitudenumberbody선택
Geographic longitude in decimal degrees (-180..180). Omit if unknown.
postal_codestringbody선택
Postal / ZIP code. Max 32 chars.
statestringbody선택
State / province / region. Max 100 chars.
emailstringbody선택
이메일 주소입니다.
full_namestringbody필수
고객의 전체 이름입니다. 필수이며, 최대 255자입니다.
notesstringbody선택
고객에 대한 자유 형식의 내부 메모입니다. 최대 4000자입니다.
phonestringbody선택
전화번호입니다. 10–20자입니다.
preferred_technician_idstringbody선택
이 고객이 선호하는 기술자의 UUID입니다. 이 비즈니스에 속해 있어야 합니다.
service_area_idstringbody선택
이 고객의 서비스 지역 UUID입니다. 이 비즈니스에 속해 있어야 합니다.
sms_opt_inbooleanbody선택
SMS consent, tri-state: omit/null = leave unchanged; true = grant (only when the customer explicitly consented — the original consent timestamp is preserved); false = revoke (opt-out, stops SMS immediately).
statusenumbody선택
라이프사이클 상태입니다.
tierenumbody선택
로열티 등급입니다.
uidstringbody선택
이 고객에 대한 외부 참조값입니다. 선택 사항이며, 최대 32자입니다.
PUT/v1/customers/{id}
curl -X PUT "https://api.crisphive.com/v1/customers/9b2f6c3e-1a4d-4f0a-8f2e-7c5d1b3a9e01" \
  -H "Authorization: Bearer chsk_test_4eC8xQ9mZ2pL7Ka0rT" \
  -H "Content-Type: application/json" \
  -d '{
  "address": {
    "city": "San Francisco",
    "country": "US",
    "formatted": "123 Market Street, San Francisco, CA 94103",
    "latitude": 1,
    "line": "123 Market Street",
    "line2": "Suite 200",
    "longitude": 1,
    "postal_code": "94103",
    "state": "CA"
  },
  "email": "jane.doe@example.com",
  "full_name": "Jane Cooper",
  "notes": "Please call on arrival.",
  "phone": "+14155550142",
  "preferred_technician_id": "9b2f6c3e-1a4d-4f0a-8f2e-7c5d1b3a9e01",
  "service_area_id": "9b2f6c3e-1a4d-4f0a-8f2e-7c5d1b3a9e01",
  "sms_opt_in": true,
  "status": "active",
  "tier": "regular",
  "uid": "CRM-10293"
}'
요청 본문
{
"address": {
"city": ,
"country": ,
"formatted": ,
"latitude": ,
"line": ,
"line2": ,
"longitude": ,
"postal_code": ,
"state":
},
"email": ,
"full_name": ,
"notes": ,
"phone": ,
"preferred_technician_id": ,
"service_area_id": ,
"sms_opt_in": ,
"status": ,
"tier": ,
"uid":
}

응답